Software requirements

Software requirements Windows

Component Supported Version(s)
Operating System

Microsoft Windows 7 32-bit or 64-bit Ultimate or Enterprise Edition

Microsoft Windows 8.1 32-bit or 64-bit

Microsoft Windows 10 32-bit or 64-bit

Microsoft Windows Server 2012 Standard Edition 64-bit

Microsoft Windows Server 2012 R2 Standard Edition 64-bit

Microsoft Windows Server 2016 Standard Edition 64-bit

Java Application server

Java Development Kit 8.0 (1.8) Update 66 or later 32-bit or 64-bit

For more information, see: http://www.oracle.com/technetwork/java/index.html

Web Browser

Chrome, latest version

Internet Explorer 11

Microsoft Edge

Eclipse

4.5

For M3 Adaptation Kit

Download the package from http://www.eclipse.org/downloads

Subclipse

Latest valid version

For M3 Adaptation Kit

This is used for version control integration. For more information, see http://subclipse.tigris.org/ and Version Control and M3 Adaptation Kit User Guide.

IBM WebSphere MQ 8.5 (MQ Series Channel compatibility)

Windows version 5.6 for scripting host

Note: 

These are optional third party components for Infor Enterprise Collaborator (IEC).

If these channel types are needed, refer to the third party installation guide.